echo on
REM move to country folder
cd ..\%1
REM delete junk files
del *.gs? 
del *.bak 
del *.log
del *.exs 
del *.min 
del *.inf 
del *.%12.har 
del *.mnc 

REM compile and run country-specific program
tablo -sti %11.sti >tablo.log
if errorlevel 1 goto problem
gemsim -cmf %11.cmf >runit.log
if errorlevel 1 goto problem

REM return to COMMON folder
cd ..\common

REM delete junk files
del *.inf 
del *.min 
del *.mnc 
del *.exs 
del *.bak 
del *.log
del comm*.har

REM run COMMON1 program
copy ..\%1\%11.har comm1in.har
gemsim -cmf common1.cmf
if errorlevel 1 goto problem
copy comm1out.har  %12.har

REM run COMMON2 program
copy %12.har comm2in.har
gemsim -cmf common2.cmf
if errorlevel 1 goto problem
copy comm2out.har  %13.har

REM run COMMON3 program
copy %13.har comm3in.har
gemsim -cmf common3.cmf
if errorlevel 1 goto problem
copy comm3out.har  %14.har

del comm*.har
dir/od *.har


echo FINISHED OK
goto endbat

:problem
echo on
rem PROBLEM -- most recent log is listed last
dir/od *.log
pause CTRL-C to exit, or........


:endbat